/**
 *      Copyright (C) 2012 David M. Carr
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package org.bitbucket.davidm24.mongodb.aggregate;

/**
 * MongoDB keywords for group aggregation functions
 * 
 * @author David M. Carr
 */
class GroupOperators {
    public static final String ADD_TO_SET = "$addToSet";
    public static final String AVG = "$avg";
    public static final String FIRST = "$first";
    public static final String LAST = "$last";
    public static final String MAX = "$max";
    public static final String MIN = "$min";
    public static final String PUSH = "$push";
    public static final String SUM = "$sum";
}
